Zum Inhalt

Get itemReference

Retrieve the properties and relationships of a itemReference object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemReferencesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemReference object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemReferenceWebCons({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "value": [
         {
            "itemNo": "10000",
            "variantCode": "",
            "unitOfMeasure": "STÜCK",
            "referenceType": " ",
            "referenceTypeNo": "",
            "referenceNo": "1345678",
            "description": "Decke",
            "description2": ""
        },
        {
            "itemNo": "10000",
            "variantCode": "",
            "unitOfMeasure": "STÜCK",
            "referenceType": "Customer",
            "referenceTypeNo": "10001",
            "referenceNo": "1472583",
            "description": "Decke",
            "description2": ""
        },
        {
            "itemNo": "10000",
            "variantCode": "",
            "unitOfMeasure": "STÜCK",
            "referenceType": "Vendor",
            "referenceTypeNo": "70000",
            "referenceNo": "2131321",
            "description": "Decke",
            "description2": "Blau/Blau"
        },
        {
            "itemNo": "10000",
            "variantCode": "",
            "unitOfMeasure": "STÜCK",
            "referenceType": "Bar Code",
            "referenceTypeNo": "",
            "referenceNo": "B10000",
            "description": "",
            "description2": ""
        },
    ]
}

See also

Tips for working with the APIs
itemReference
Delete itemReference
Create itemReference
Update itemReference